Instructions for Installation on Another Server

This guide assumes you have working knowledge of LAMP (Linux, Apache, MySQL, and PHP) systems administration and the appropriate levels of access within your network.

Prerequisites:

  • Minimum 80 MB disk space
  • MySQL 4.1.0 or later OR Microsoft SQL Server 2005 or later OR Postgres 8.1 or later.  Please note - the customized package has been tested only with MySQL.  While no customizations have been made that break the database abstraction layer, there are no guarantees that the customized package will work with Microsoft SQL Server or Postgres. If using a database other than MySQL, you should test extensively!
  • PHP 5.3 or later with the following modules/libraries enabled:
    • mbstring (Multibyte String Functions) extension library (see also Installation FAQ)
    • PDO database driver for MySQL (pdo_mysql or pdo_mysqli) or Postgres (pdo_pgsql) or MSSQL (pdo_sqlsrv)
    • Also we assume in general that all PHP default libraries are enabled (like hash, session, etc.).

Instructions:

  1. Download the customized LimeSurvey package at https://github.com/jackwarner/LimeSurvey/archive/Watson-RC18.zip. The customized package is required for the proper functioning of questionnaires. Failure to install the customized package will result in display and data collection problems. 
  2. Follow the LimeSurvey installation instructions at https://manual.limesurvey.org/Installation, but instead of installing the latest stable LimeSurvey package, you must install the file you downloaded from Step 1.
  3. Once you have completed the LimeSurvey installation instructions successfully, import the themes, surveys, and associated assets for each of your required questionnaires. Instructions can be found by visiting the Configuration section for each of the questionnaires. For example, to configure Conventional Constructs for Research Use, you would first click Conventional Constructs for Research Use, then Configuration.
Comments